"""SamSifter - A Workflow Editor for Metagenomic Analysis.

SamSifter helps you create filter workflows for next-generation sequencing
data. It is primarily used to process SAM files generated by `MALT
<http://ab.inf.uni-tuebingen.de/data/software/malt/download/welcome.html>`_
prior to metagenomic analysis in `MEGAN
<http://ab.inf.uni-tuebingen.de/data/software/megan5/download/welcome.html>`_.

Next to the module :py:mod:`samsifter.samsifter`, which runs the actual
SamSifter GUI, and the small :py:mod:`samsifter.version`, which specifies the
current release number in a central place, this package also contains several
subpackages with all classes and functions the program relies on:

* **tools** contains the filters and tools that can be used in workflows,
* **gui** contains the basic building blocks for the GUI,
* **models** and **views** handle the underlying data structures,
* **resources** bundles icons and other data files,
* **util** contains useful shared classes and functions, and
* **stats** contains scripts for post-processing of workflow statistics.
"""
